Skip to content

Waterfall Endpoint

GET
/api/v1/charts/waterfall
curl --request GET \
--url 'https://example.com/api/v1/charts/waterfall?from=2026-04-15&to=2026-04-15'

Per-account balance change between two dates for waterfall chart.

from
required
From
string format: date
to
required
To
string format: date

Successful Response

Media typeapplication/json
WaterfallResponse

Waterfall chart data — net worth change attribution between two dates.

object
start_date
required
Start Date
string
end_date
required
End Date
string
start_total
required
Start Total
string
end_total
required
End Total
string
total_change
required
Total Change
string
fx_effect
Fx Effect
string
default: 0.00
fx_missing_count
Fx Missing Count
integer
0
items
required
Items
Array<object>
WaterfallItem

Single bar in a waterfall chart — one account’s contribution to net worth change.

object
name
required
Name
string
short_name
Any of:
string
institution
Any of:
string
start_balance
required
Start Balance
string
end_balance
required
End Balance
string
change
required
Change
string
contribution
Any of:
string
market
Any of:
string
split_missing_rate
Split Missing Rate
boolean
fx_effect
Any of:
string
fx_missing_rate
Fx Missing Rate
boolean
is_total
Is Total
boolean

Example

{
"fx_effect": "0.00",
"fx_missing_count": 0,
"items": [
{
"split_missing_rate": false,
"fx_missing_rate": false,
"is_total": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}